classification
Title: PEP 466: Python 2.7 What's New preamble changes
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: Arfrever, alex, benjamin.peterson, brett.cannon, gvanrossum, ncoghlan, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2014-05-24 10:26 by ncoghlan, last changed 2014-06-09 03:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
py27_whats_new_preamble_changes.diff ncoghlan, 2014-05-31 03:02 Initial proposal for What's New changes review
py27_whats_new_preamble_changes_v2.diff ncoghlan, 2014-05-31 19:15 Address open questions & Ezio's comments review
Messages (11)
msg219031 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-05-24 10:26
Some proposed changes to the introductory section of the Python 2.7 What's New document. Key changes:

* I updated the Future of Python 2.x section to describe the status quo, rather than preserving the original speculation from 2010
* I added a new section to record the changes made in maintenance releases
* I moved the DeprecationWarning change down to its own section, since it is really independent of Python 2.7 being the last release

Open questions:

* the current wording makes it clear that while it's hard to get features backported, PEP 466 isn't necessarily a one time deal. I'm open to changing that to instead just describe PEP 466 as is, without saying anything about using the PEP process to get other changes backported
* I currently have the "New Features in Maintenance Releases" section near the top. Since it's hyperlinked from the "Future of Python 2.x" section anyway, perhaps I should move it towards the end instead?

It occurred to me while writing this that we'll potentially have an influx of conservative Python users reading the doc this year, as RHEL 7 and CentOS 7 become generally available, finally upgrading the default Python in that ecosystem to 2.7.
msg219039 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-05-24 13:20
Added Brett to the nosy list for feedback, since the porting guide is mostly his work.
msg219405 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-05-30 17:10
Did you intend to upload a diff with the current changes?

My answers:
* Just describe 466. Don't invite trouble.
* Move the section to its logical place in temporal order, with a clear link.
msg219433 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-05-31 01:20
Ah, that *would* explain the lack of comments. I'll upload the missing
patch later today.
msg219470 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-05-31 19:15
New patch, with the new section moved to the end of the file, just before the acknowledgements.

It now has subsections for each relevant PEP, as Ezio's comments made me realise that PEP 434 (the IDLE consistency PEP) also deserved a mention.

I'm happy with this version, so unless someone spots a glaring error in the next few days, I'll push it live.
msg219473 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-05-31 20:06
I think the Idle section is such a great idea I propose to add something similar to future What's New for 3.x. See #21621.
msg219938 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-07 13:36
New changeset 7c28b3a92f40 by Nick Coghlan in branch '2.7':
Updates to Python 2.7 What's New preamble
http://hg.python.org/cpython/rev/7c28b3a92f40
msg219939 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-07 14:00
New changeset d23cea976f46 by Nick Coghlan in branch '3.4':
Issue #21569: sync Python 2.7 What's New with 2.7 version
http://hg.python.org/cpython/rev/d23cea976f46

New changeset b167df2912d6 by Nick Coghlan in branch 'default':
Merge issue #21569 from 3.4
http://hg.python.org/cpython/rev/b167df2912d6
msg220051 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2014-06-08 19:51
These changes caused this warning (at least on default branch) from Sphinx:

${cpython_working_copy}/Doc/whatsnew/2.7.rst:442: WARNING: undefined label: argparse-from-optparse (if the link has no caption the label must precede a section header)
msg220078 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-06-09 01:34
Huh, I thought I fixed that before pushing. Maybe I missed a commit after
editing...
msg220079 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-09 03:30
New changeset 454d4a9a3088 by Nick Coghlan in branch '3.4':
Issue #21569: Fix incorrect cross reference
http://hg.python.org/cpython/rev/454d4a9a3088

New changeset 524d73b8f29e by Nick Coghlan in branch 'default':
Issue #21569: merge from 3.4
http://hg.python.org/cpython/rev/524d73b8f29e
History
Date User Action Args
2014-06-09 03:30:51python-devsetmessages: + msg220079
2014-06-09 01:34:03ncoghlansetmessages: + msg220078
2014-06-08 19:51:03Arfreversetnosy: + Arfrever
messages: + msg220051
2014-06-07 14:02:38ncoghlansetstatus: open -> closed
resolution: fixed
stage: resolved
2014-06-07 14:00:32python-devsetmessages: + msg219939
2014-06-07 13:36:34python-devsetnosy: + python-dev
messages: + msg219938
2014-05-31 20:06:21terry.reedysetmessages: + msg219473
2014-05-31 19:15:46ncoghlansetfiles: + py27_whats_new_preamble_changes_v2.diff

messages: + msg219470
2014-05-31 03:02:57ncoghlansetfiles: + py27_whats_new_preamble_changes.diff
keywords: + patch
2014-05-31 01:21:18alexsetnosy: + alex
2014-05-31 01:20:31ncoghlansetmessages: + msg219433
2014-05-30 17:10:12terry.reedysetnosy: + terry.reedy
messages: + msg219405
2014-05-24 13:20:58ncoghlansetnosy: + brett.cannon
messages: + msg219039
2014-05-24 10:26:32ncoghlancreate